\section{(Quasi-)coherent sheaves}
Let $(X,\ox)$ be a ringed space (we don't need the ``local'' assumption for some time now).
\begin{defn}
  A \emph{sheaf of $\ox$-modules on $X$} is a sheaf $\shf$ of abelian groups on $X$ such that:
  \begin{itemize}
    \item For all open subsets $U\sse X$ the group $\shf(U)$ is an $\ox(U)$-module; and
    \item For all inclusion $V\sse U\sse X$ of open subsets the restriction map $\shf(U)\to\shf(V)$ is an $\ox(U)$-module homomorphism (where $\shf(V)$ is an $\ox(U)$-module via the ring homomorphism $\ox(U)\to \ox(V)$).
  \end{itemize}
  A \emph{morphism of sheaves of $\ox$-modules} $\pphi\mc\shf\to\shg$ is a morphism of sheaves $\pphi$ such that for all open subsets $U\sse X$ the map $\pphi_U\mc \shf(U)\to\shg(U)$ is an $\ox(U)$-module homomorphism.
\end{defn}

\begin{remdef}
  We naturally obtain a category of $\ox$-modules, which we denote by $\modx$. This is an abelian category: The category of $\ox$-modules is a subcategory of $\asheaf_X$, which is abelian. So we already know how kernels and alike can look like and need to check that the canonical morphisms are morphism of $\ox$-modules. This is straight-forward in case of the kernel and the biproduct, and goes as follows for the cokernel: The assignment $U\mapsto \coker(\pphi_U)$ defines a \emph{presheaf of $\ox$-modules} (just replace ``sheaf'' with ``presheaf'' in the above definition) -- and the sheafification of a presheaf of $\ox$-modules is a sheaf of $\ox$-modules: Since sheafification commutes with finite products and $\ox$ is a sheaf, the map
  \[
  \ox\times \shf\to \shf
  \]
  which makes $\shf$ into a presheaf of $\ox$-modules gets sheafified to a map
  \[
  \ox\times\shf^{\#}\to\shf^{\#}
  \]
  which defines an action of $\ox$ on $\shf^{\#}$. The conditions for being actually a module follow since being a module can be defined in purely categorical way (on each open subset) and sheafification preserves all these coheremce conditions.
\end{remdef}
\itodo{what is the right notion of a module obkect in the category of sheaves on $X$ and how does it compare?}

\begin{defn}
  For two $\ox$-modules $\shf$ and $\shg$ we define their tensor product to be the sheafification of the assignment:
  \[
  U\mapsto \shf(U)\tensor_{\ox(U)}\shg(U)
  \]
\end{defn}
\begin{mrem}
  We will see later that the sheafification-step is indeed necessary.
\end{mrem}

\begin{defn}
 An $\ox$-module $\shf$ is called:
 \begin{enumerate}
   \item \emph{free} of $\shf\cong\ox^{\oplus I}$ for an index set $I$. In this case, the cardinality of $I$ is called the \emph{rank of $\shf$}.
   \item \emph{locally free} if there is an open cover $X=\cup U_i$ such that each resttriction $\restrict{\shf}{U_i}$ is a free $\oo_{U_i}$-module and the rank of $\restrict{F}{U_i}$ is constant.
   \item \emph{quasi-coherent} if for all $x\in X$ there is an open subset $x\in U\sse X$ and an exact sequence of the form:
   \[
   \oo_U^{\oplus I}\to\oo_U^{\oplus J}\to \restrict{\shf}{U}\to 0
   \]
   \item \emph{coherent} if $\shf$ is \emph{locally finitely generated}, i.e. for all $x\in X$ there is an open subset $x\in U\sse X$ and a surjection
   \[
   \oo_U^{\oplus n}\hookrightarrow \restrict{\shf}{U}\to 0
   \]
   and for all $V\sse X$ open and all maps $\pphi\mc\oo_V^{\oplus m}\to\shf$ the kernel of $\pphi$ is locally finitely generated too.
 \end{enumerate}
\end{defn}
\begin{rem}
  Every coherent $\ox$-module is also quasi-coherent. The full subcategories of coherent and quasi-coherent modules are in general not abelian but they are if $(X,\ox)$ is a scheme. This will be our next goal.
\end{rem}

\begin{construction}
  Let $A$ be a ring, $X=\spec A$  and $M$ an $A$-module. For an open subset $U\sse X$, we define $\wtilde{M}(U)$
  to be the set of maps
  \[
  s\mc U\to \coprod_{\pid\in U}M_{\pid}
  \]
  such that for all prime ideals $\pid \in U$ it holds that
  \begin{enumerate}
    \item $s(\pid)\in M_{\pid}$;
    \item there exists an open neighbourhood $\pid\in V\sse U$ and elements $m\in M, a\in A$ such that for all $\qid\in V$ we have $a\notin \qid$ and $s(\qid)=m/a\in M_{\qid}$.
  \end{enumerate}
  This is an $\ox$-module: \par
  Now this assignment defines a functor $\amod\to\modx$, where for morphism $\pphi\mc M\to N$ and an open subset $U\sse X$ we define
  \[
  \wtilde{\pphi}\mc U\to \coprod_{\idp\in U}N
  _{\idp}
  \]
\end{construction}
